Tavily

Tavily Extract

post

Extract web page content from one or more specified URLs using Tavily Extract.

Header parameters
AuthorizationstringRequiredExample: sk-Yf4DNV
Body
modelstringRequired
urlsstring[]Required

A list of URLs to extract content from.

querystringOptional

User intent for reranking extracted content chunks. When provided, chunks are reranked based on relevance to this query.

chunks_per_sourceinteger Β· min: 1 Β· max: 5Optional

Chunks are short content snippets (maximum 500 characters each) pulled directly from the source. Use chunks_per_source to define the maximum number of relevant chunks returned per source and to control the raw_content length. Chunks will appear in the raw_content field as: <chunk 1> [...] <chunk 2> [...] <chunk 3>. Available only when query is provided. Must be between 1 and 5.

Default: 3Example: 3
extract_depthstring Β· enumOptional

The depth of the extraction process. advanced extraction retrieves more data, including tables and embedded content, with higher success but may increase latency.basic extraction costs 1 credit per 5 successful URL extractions, while advanced extraction costs 2 credits per 5 successful URL extractions.

Default: basicExample: basicPossible values:
include_imagesbooleanOptional

Include a list of images extracted from the URLs in the response. Default is false.

Default: false
include_faviconbooleanOptional

Whether to include the favicon URL for each result.

Default: false
formatstring Β· enumOptional

The format of the extracted web page content. markdown returns content in markdown format. text returns plain text and may increase latency.

Default: markdown Example: markdownPossible values:
timeoutnumber Β· float Β· min: 1 Β· max: 60Optional

Maximum time in seconds to wait for the URL extraction before timing out. Must be between 1.0 and 60.0 seconds. If not specified, default timeouts are applied based on extract_depth: 10 seconds for basic extraction and 30 seconds for advanced extraction.

Default: 60Example: 60
include_usagebooleanOptional

Whether to include credit usage information in the response. NOTE:The value may be 0 if the total successful URL extractions has not yet reached 5 calls.

Default: false
Responses
chevron-right
200Success
application/json
failed_resultsstring[]Required
response_timenumberRequired
request_idstringRequired
post
/v1/tavily/extract

Last updated